Status: Open

Priority: Normal

Assignee:

Category: Digitising

Affected QGIS version:3.4.1 Regression?: No
Operating System: Windows 10 Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 26816
Description

First Issue:

Weird snapping when choosing the first vertex to trace. In general | can often observe the behaviour that the tracing starts at one vertex,
then traces 2 vertices in the wrong direction and then takes the direct straight line to the initial start, creating a "tracing triangle".

Second Issue:
Tracing does not trace the line until the last selected vertex. The closest it gets is the second to last vertex.

History

#1 - 2018-06-27 01:41 PM - Andreas Wicht

- File tracing_issue_3.gif added

Issue still persists in 3.2

In my opinion this issue should be changed to high priority as it pretty much makes tracing unusable.

- snapping to vertex with 10px tolerance (active layer)

- topological editing enabled.

#2 - 2018-06-28 03:03 AM - Brian Savage

| am experiencing the same issues. The problem became more pronounced when | switched the display crs from NAD27 to WGS84. Not sure why that
would have been an issue. There were still minor issues with intersections while in NAD27. The shapefiles | am using are in WGS84.

Not sure if this is related or has already been reported, but the auto tracing tool also leaves gaps and overlaps with a difference between the points of
around 1e-15 or so.

Using 3.0

#3 - 2018-08-07 02:29 PM - Andreas Wicht
- File tracing_issue_4.gif added

Added another gif (tracing_issue_4.gif) showing absolutely unusable tracing behavior.
#4 - 2018-08-07 03:12 PM - Andreas Wicht

As Brian mentioned, | also think, that geographic coordinates amplify the problem!

#5 - 2018-11-15 10:49 AM - Bernhard Strobl
- Status changed from Open to Feedback

Have you checked with QGIS 3.4?
If problem persists, can you share data?

#6 - 2018-11-21 03:29 PM - Andreas Wicht
- Status changed from Feedback to Open

So the issue here still persists in 3.4 afaik, but not in a reproducible manner.

What helps for sure is to use a metric system (otf projection) while tracing. That greatly reduces the problems.

| am suspecting that maybe rounding issues due to the nature of geographic coordinates might be the issue here, but that is just an educated guess.

It's all in all tricky, because e.g. restarting QGIS also solved the problem in the past when it occured.

As soon as | can reproduce this issue, | will share a subset.

#7 - 2018-11-21 05:49 PM - Giovanni Manghi
- Affected QGIS version changed from 3.0.2 to 3.4.1
